Source: golang-github-bwesterb-go-ristretto
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Martin Dosch <martin@mdosch.de>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-bwesterb-go-ristretto
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-bwesterb-go-ristretto.git
Homepage: https://github.com/bwesterb/go-ristretto
XS-Go-Import-Path: github.com/bwesterb/go-ristretto

Package: golang-github-bwesterb-go-ristretto-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Go implementation of the Ristretto prime-order group over Edwards25519
 Many cryptographic schemes need a group of prime order.  Popular and
 efficient elliptic curves like (Edwards25519 of ed25519 fame) are rarely
 of prime order.  There is, however, a convenient method to construct a
 prime order group from such curves, called Ristretto
 (https://ristretto.group) proposed by Mike Hamburg
 (https://www.shiftleft.org).
 .
 This is a pure Go implementation of the group operations on the
 Ristretto prime-order group built from Edwards25519. Documentation is on
 godoc (https://godoc.org/github.com/bwesterb/go-ristretto).
